<?php
/* --------------------------------------------------------------
 HasRequired.php 2019-07-08
 Gambio GmbH
 http://www.gambio.de
 Copyright (c) 2019 Gambio GmbH
 Released under the GNU General Public License (Version 2)
 [http://www.gnu.org/licenses/gpl-2.0.html]
 --------------------------------------------------------------
 */

declare(strict_types=1);

namespace Gambio\Dragger\Domain\Testing\Api\Model\Contracts;

/**
 * Interface HasRequired
 *
 * @package Gambio\Dragger\Domain\Testing\Api\Model\Contracts
 */
interface HasRequired
{
    /**
     * Required properties.
     *
     * @return array
     */
    public function required() : array;
}