<?php
/* --------------------------------------------------------------
 CountriesQuery.php 2019-06-19
 Gambio GmbH
 http://www.gambio.de
 Copyright (c) 2019 Gambio GmbH
 Released under the GNU General Public License (Version 2)
 [http://www.gnu.org/licenses/gpl-2.0.html]
 --------------------------------------------------------------
 */

declare(strict_types=1);

namespace Gambio\Dragger\Domain\GxInstaller\Steps\CreateAccount;

/**
 * Class CountriesQuery
 * @package Gambio\Dragger\Domain\GxInstaller\Steps\CreateAccount
 */
class CountriesQuery
{
    /**
     * Gambio installer query.
     *
     * @return string
     */
    public function query() : string
    {
        return <<<QUERY
# noinspection SqlWithoutWhere

UPDATE `countries` SET `status` = 0;
UPDATE `countries` SET `status` = 1 WHERE `countries_id` = '81';
QUERY;
    }
}