<?php
/* --------------------------------------------------------------
 CustomersInfoQuery.php 2019-06-19
 Gambio GmbH
 http://www.gambio.de
 Copyright (c) 2019 Gambio GmbH
 Released under the GNU General Public License (Version 2)
 [http://www.gnu.org/licenses/gpl-2.0.html]
 --------------------------------------------------------------
 */

declare(strict_types=1);

namespace Gambio\Dragger\Domain\GxInstaller\Steps\CreateAccount;

/**
 * Class CustomersInfoQuery
 * @package Gambio\Dragger\Domain\GxInstaller\Steps\CreateAccount
 */
class CustomersInfoQuery
{
    /**
     * Gambio installer query.
     *
     * @return string
     */
    public static function query() : string
    {
        return <<<'QUERY'
INSERT INTO
    `customers_info`
(`customers_info_id`, `customers_info_date_of_last_logon`, `customers_info_number_of_logons`, `customers_info_date_account_created`, `customers_info_date_account_last_modified`, `global_product_notifications`)
VALUES
('1', NOW(), '0', NOW(), NOW(), '0');
QUERY;
    }
}